Debian Bug report logs - #550368
Double-click in the last line of an xterm window is seen as a single click

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Fri, 9 Oct 2009 14:42:01 UTC

Severity: normal

Found in version xterm/249-1

Fixed in version xterm/250-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#550368; Package xterm. (Fri, 09 Oct 2009 14:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 09 Oct 2009 14:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Double-click in the last line of an xterm window is seen as a single click
Date: Fri, 9 Oct 2009 16:38:53 +0200
Package: xterm
Version: 249-1
Severity: normal

Double-click in the last line of an xterm window seems to be seen as
a single click (well). The consequences:
  * A double-click on a word doesn't select the word.
  * A double-click + drag behaves like a single click + drag.

Only the last line is affected.

This seems to be always reproducible.

-- System Information:
Debian Release: squeeze/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26.5-20080922 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages xterm depends on:
ii  libc6                     2.9-27         GNU C Library: Shared libraries
ii  libfontconfig1            2.6.0-4        generic font configuration library
ii  libice6                   2:1.0.5-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20090803-2 shared libraries for terminal hand
ii  libutempter0              1.1.5-2        A privileged helper for utmp/wtmp 
ii  libx11-6                  2:1.2.2-1      X11 client-side library
ii  libxaw7                   2:1.0.6-1      X11 Athena Widget library
ii  libxft2                   2.1.13-3       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.4-2      X11 miscellaneous utility library
ii  libxt6                    1:1.0.6-1      X11 toolkit intrinsics library
ii  xbitmaps                  1.0.1-2        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.4+1      X11 utilities
ii  xutils                        1:7.4+4    X Window System utility programs m

Versions of packages xterm suggests:
ii  xfonts-cyrillic               1:1.0.0-7  Cyrillic fonts for X

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#550368; Package xterm. (Fri, 09 Oct 2009 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 09 Oct 2009 21:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 550368@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 550368@bugs.debian.org
Cc: 550368-submitter@bugs.debian.org
Subject: re: #550368 Double-click in the last line of an xterm window is seen as a single click
Date: Fri, 09 Oct 2009 17:15:53 -0400
[Message part 1 (text/plain, inline)]
Looks like one of the limit-checks needs more work (this is the second
report this week - first was on Monday - and I intended working on it
this weekend...)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#550368. (Fri, 09 Oct 2009 21:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#550368; Package xterm. (Sun, 11 Oct 2009 14:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 11 Oct 2009 14:03:03 GMT) Full text and rfc822 format available.

Message #18 received at 550368@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 550368@bugs.debian.org
Cc: 550368-submitter@bugs.debian.org
Subject: re: #550368 Double-click in the last line of an xterm window is seen as a single click
Date: Sun, 11 Oct 2009 09:39:18 -0400
[Message part 1 (text/plain, inline)]
It's an off-by-one here:

--- button.c    2009/10/01 09:06:20     1.355
+++ button.c    2009/10/10 23:37:27
@@ -1,4 +1,4 @@
-/* $XTermId: button.c,v 1.355 2009/10/01 09:06:20 tom Exp $ */
+/* $XTermId: button.c,v 1.356 2009/10/10 23:37:27 tom Exp $ */

 /*
  * Copyright 1999-2008,2009 by Thomas E. Dickey
@@ -2626,7 +2626,7 @@
 {
     Boolean result = True;

-    if (cell->row >= screen->max_row) {
+    if (cell->row > screen->max_row) {
        result = False;
     } else if (cell->col > (LastTextCol(screen, *ld, cell->row) + 1)) {
        cell->col = 0;

(I added the check in #249 since valgrind pointed to a problem in that code)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#550368. (Sun, 11 Oct 2009 14:03:32 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 13 Oct 2009 19:03:17 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Tue, 13 Oct 2009 19:03:18 GMT) Full text and rfc822 format available.

Message #26 received at 550368-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 550368-close@bugs.debian.org
Subject: Bug#550368: fixed in xterm 250-1
Date: Tue, 13 Oct 2009 18:32:58 +0000
Source: xterm
Source-Version: 250-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_250-1.diff.gz
  to pool/main/x/xterm/xterm_250-1.diff.gz
xterm_250-1.dsc
  to pool/main/x/xterm/xterm_250-1.dsc
xterm_250-1_amd64.deb
  to pool/main/x/xterm/xterm_250-1_amd64.deb
xterm_250.orig.tar.gz
  to pool/main/x/xterm/xterm_250.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 550368@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 13 Oct 2009 20:20:08 +0200
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 250-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 542434 550368 550497
Changes: 
 xterm (250-1) unstable; urgency=low
 .
   * New upstream release
     + add check and error-message for fonts that have no printable values in
       the ISO-8859-1 range (closes: #542434)
     + limit minimum cell-width for packed font to maximum-advance
       reported by Xft.  Some fonts are wider than that, even in the Latin-1
       range (closes: #550497)
     + correct off-by-one in okPosition fix from patch #249 limit-checks which
       prevented double-click selection on the bottom line of the screen
       (closes: #550368)
     + document in xterm manpage the limited availability of resources color16
       to color255 as noted in patch #188 (LP: #438850)
Checksums-Sha1: 
 be1a62296213dfaae7f1712ed0ec0862662205a5 1314 xterm_250-1.dsc
 bf72e4ab4f6f7aeb27db9667df4a85e151546c90 889052 xterm_250.orig.tar.gz
 12a1524913a9a21251a8e244b01c3226b3bb93ca 72392 xterm_250-1.diff.gz
 1e3c008913e91fd1212ac77d056807caaa6f47c1 513502 xterm_250-1_amd64.deb
Checksums-Sha256: 
 95e8f6e8801f2d73d0191a3e2f051a4aa6302f31445f5003807a068d83ac1490 1314 xterm_250-1.dsc
 2dfdf63135f838d3ad11584f0da18360f993305733df4df3255b952067b4fb28 889052 xterm_250.orig.tar.gz
 bce3db714ed42e9e1402ba3bdfb0a4de0751625c07ea222cd097de77e62edd7b 72392 xterm_250-1.diff.gz
 a9a1283f55a6272bcd92849575b76fc7c1ab829b76d5f442a3adccb420137bde 513502 xterm_250-1_amd64.deb
Files: 
 4647cb0a6878afcb08379620a3ab9e20 1314 x11 optional xterm_250-1.dsc
 962ce117f65daf6bf376b6697b2cd02d 889052 x11 optional xterm_250.orig.tar.gz
 f438e69226e66cba95ce131c92ade16d 72392 x11 optional xterm_250-1.diff.gz
 5859dea85eaeb87b2d8038d2c32bff80 513502 x11 optional xterm_250-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrUxqcACgkQmEvTgKxfcAwmsACdGYnL540Ld/C79tIOl/BK5C9f
kt4An0E2MbrTN0AcWxtGd8246SxzCsSc
=vfhN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Nov 2009 07:43:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:45:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.